/* tkhaskell.h: see tkhaskell.c fot details. */

void primPutEnv (char *str);
void primTclDebug(int flg);
int  primInitTcl(void);
int  primRunTcl(void);
int primRunNonBlockingTcl (void);
int primRunOnceTcl (void);
char *primExecuteTcl(char *cmd);
void primExecuteTcl_ (char *cmd);
char *primGetEvent(void);
void primSetVar(char * varname,char * inp);
int primCheckAnyWindowsTcl (void);
char readCharOffAddr ( void* arg1, int arg2 );
void writeCharOffAddr ( void* arg1, int arg2, char arg3 );
void* primMalloc(unsigned long arg1);
void primFree(void* arg1);

